/*
 * Copyright (C) 2018 David Craven and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License.
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
 */

import { ContainerModule } from 'inversify';
import {StrUtil,apiServicePath} from '../common/api-services'
import { WebSocketConnectionProvider } from '@theia/core/lib/browser';

export default new ContainerModule(bind => {
    console.log("start bind StrUtil....",apiServicePath)
    bind(StrUtil)
    .toDynamicValue(ctx => {
      const provider = ctx.container.get(WebSocketConnectionProvider);
      return provider.createProxy<StrUtil>(apiServicePath);
    })
    .inSingletonScope();

    // bind(ESUtil)
    // .toDynamicValue(ctx => {
    //   const provider = ctx.container.get(WebSocketConnectionProvider);
    //   return provider.createProxy<ESUtil>(apiServicePath);
    // })
    // .inSingletonScope();
});
